# TerminateInstance

## 1. API Description

This API (TerminateInstance) is used to return an instance.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Use this API to return an instance that is no longer required. A pay-as-you-go instance will stop billing after it is returns.</mark>
* <mark style="color:blue;">Calling this API on a subscription instance will cancel the subscription and the instance will be automatically returned after the subscription expires.</mark>
* <mark style="color:blue;">When this API is called, the instance will be moved to the recycle bin and be released in 24 hours if there are no other operations. You can also call</mark> [<mark style="color:purple;">`ReleaseInstances`</mark>](/api-reference/compute/bmc/bare-metal-instance/releaseinstances.md) <mark style="color:blue;">to release the instance.</mark>
* <mark style="color:blue;">Operations on instances in recycle bin or in stalling status are not supported.</mark>
* <mark style="color:blue;">Operations on instances in</mark> <mark style="color:blue;">`CREATE_FAILED`</mark> <mark style="color:blue;">status will delete the instance directly. For prepaid instances, all payment amounts will be refunded.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                  |
| -------------- | -------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | <p>Instance ID.</p><p>To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Return an instance with the ID:** `instanceId`

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: TerminateInstance
<Common Request Params>

Request:
{
  "instanceId": "instanceId"
}

Response:
{
  "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453",
  "response": {
    "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                      | Description                                                              |
| ---------------- | ----------------------------------------------- | ------------------------------------------------------------------------ |
| 403              | OPERATION\_DENIED\_INSTANCE\_SUBSCRIPTION       | Instances with subscription pricing model do not support this operation. |
| 403              | OPERATION\_DENIED\_INSTANCE\_RECYCLED           | The instance is in the recycle bin.                                      |
| 403              | OPERATION\_DENIED\_INSTANCE\_STATUS\_INSTALLING | This operation is not supported for instances that are being installed.  |
| 403              | OPERATION\_DENIED\_INSTANCE\_CREATING           | Instances that are being created do not support this operation.          |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                   | Instance does not exist.                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/bare-metal-instance/terminateinstance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
